       subroutine revers(rnum,iord)                                     REVE001
c --------------------------------------                                REVE002
c      reverses a real generic array                                    REVE003
c --------------------------------------                                REVE004
       real*4 rnum(iord)                                                REVE005
       do 1001 i=1,iord/2                                               REVE006
          call nswap (rnum(i),rnum((iord-i)+1))                         REVE007
 1001  continue                                                         REVE008
       return                                                           REVE009
       end                                                              REVE010
                                                                        REVE011
       subroutine nswap(w1,w2)                                          NSWA001
c ----------------------------------                                    NSWA002
c      swaps two real numbers                                           NSWA003
c ----------------------------------                                    NSWA004
       real*4 w1,w2,temp                                                NSWA005
       temp=w1                                                          NSWA006
       w1=w2                                                            NSWA007
       w2=temp                                                          NSWA008
       return                                                           NSWA009
       end                                                              NSWA010
                                                                        NSWA011
